import 'dart:async';

import 'package:rxdart/rxdart.dart';

abstract class Disposable {
  /// Add a [StreamSubscription] to this collection and it will
  /// be automatically cancelled when the bloc is disposed.
  List<StreamSubscription<dynamic>> get subscriptions;

  /// Add a [Subject] to this collection and it will
  /// be automatically closed when the bloc is disposed.
  List<Subject<dynamic>> subjects;
} 